Bug 1308274 - Editorial problem with builtins(1) manpage (Doc Only)
Editorial problem with builtins(1) manpage (Doc Only)
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: bash (Show other bugs)
7.4
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Siteshwar Vashisht
BaseOS QE - Apps
: ManPageChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-13 18:34 EST by Noel McLoughlin
Modified: 2018-03-13 05:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1308273
Environment:
CentOS Linux release 7.2.1511 (Core) bash-4.2.46-19.el7.x86_64, /usr/share/man/man1/builtins.1.gz
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noel McLoughlin 2016-02-13 18:34:44 EST
+++ This bug was initially created as a clone of Bug #1308273 +++

Description of problem:

The builtins(1) man page consistently references sections which cannot be found in same builtins(1). This is confusing since builtins are key features of bash, one of the primary interface to Linux OS for power users.

REPLICATING ISSUE

1. Open builtins man page

$ man builtins

2. Find instances of following text.

(see Arrays above)
(see ARITHMETIC EVALUATION above)
(see READLINE above)
(see  SHELL GRAMMAR above) *2
(see COMMAND EXECUTION ENVIRONMENT above)
(see JOB CONTROL above) *
(see  Shell  Variables above)
(see Brace Expansion above)
(see Pattern Matching above)
(see Completing under READLINE above)
(see COMMENTS above)
(see INVOCATION above)
(see Pathname Expansion above)
(see Programmable Completion above) 

3. Note referenced section do not exist in builtins(1).



WORKAROUND

1. Open bash man page.
$ man bash

2. Note referenced section exist in bash(1).

Arrays
ARITHMETIC EVALUATION
READLINE
SHELL GRAMMAR
COMMAND EXECUTION ENVIRONMENT
JOB CONTROL
Shell  Variables
Brace Expansion
Pattern Matching
Completing under READLINE
COMMENTS
INVOCATION
Pathname Expansion
Programmable Completion
Comment 3 Siteshwar Vashisht 2017-01-18 10:10:35 EST
The patch in comment 2 is not in upstream yet.

Note You need to log in before you can comment on or make changes to this bug.